/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file Target.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'blastxml2.asn'.
///
/// New methods or data members can be added to it if needed.
/// See also: Target_.hpp


#ifndef OBJECTS_BLASTXML2_TARGET_HPP
#define OBJECTS_BLASTXML2_TARGET_HPP


// generated includes
#include <objects/blastxml2/Target_.hpp>

// generated classes

BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

BEGIN_blastxml2_SCOPE // namespace ncbi::objects::blastxml2::

/////////////////////////////////////////////////////////////////////////////
class NCBI_BLASTXML2_EXPORT CTarget : public CTarget_Base
{
    typedef CTarget_Base Tparent;
public:
    // constructor
    CTarget(void);
    // destructor
    ~CTarget(void);

private:
    // Prohibit copy constructor and assignment operator
    CTarget(const CTarget& value);
    CTarget& operator=(const CTarget& value);

};

/////////////////// CTarget inline methods

// constructor
inline
CTarget::CTarget(void)
{
}


/////////////////// end of CTarget inline methods


END_blastxml2_SCOPE // namespace ncbi::objects::blastxml2::

END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE


#endif // OBJECTS_BLASTXML2_TARGET_HPP
/* Original file checksum: lines: 90, chars: 2491, CRC32: 5fb3534b */
