/* $Id$
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 * File Description:
 *   This code was generated by application DATATOOL
 *   using the following specifications:
 *   'blastxml2.asn'.
 *
 * ATTENTION:
 *   Don't edit or commit this file into CVS as this file will
 *   be overridden (by DATATOOL) without warning!
 * ===========================================================================
 */

// standard includes
#include <ncbi_pch.hpp>
#include <serial/serialimpl.hpp>

// generated includes
#include <objects/blastxml2/BlastOutput.hpp>
#include <objects/blastxml2/Err.hpp>
#include <objects/blastxml2/Report.hpp>
BEGIN_NCBI_SCOPE

BEGIN_objects_SCOPE // namespace ncbi::objects::

BEGIN_blastxml2_SCOPE // namespace ncbi::objects::blastxml2::


// generated classes

void CBlastOutput_Base::ResetReport(void)
{
    m_Report.Reset();
}

void CBlastOutput_Base::SetReport(CBlastOutput_Base::TReport& value)
{
    m_Report.Reset(&value);
}

CBlastOutput_Base::TReport& CBlastOutput_Base::SetReport(void)
{
    if ( !m_Report )
        m_Report.Reset(new ncbi::objects::blastxml2::CReport());
    return (*m_Report);
}

void CBlastOutput_Base::ResetError(void)
{
    m_Error.Reset();
}

void CBlastOutput_Base::SetError(CBlastOutput_Base::TError& value)
{
    m_Error.Reset(&value);
}

CBlastOutput_Base::TError& CBlastOutput_Base::SetError(void)
{
    if ( !m_Error )
        m_Error.Reset(new ncbi::objects::blastxml2::CErr());
    return (*m_Error);
}

void CBlastOutput_Base::Reset(void)
{
    ResetReport();
    ResetError();
}

BEGIN_NAMED_BASE_CLASS_INFO("BlastOutput", CBlastOutput)
{
    SET_CLASS_MODULE("NCBI-BlastOutput");
    ADD_NAMED_REF_MEMBER("report", m_Report, CReport)->SetOptional();
    ADD_NAMED_REF_MEMBER("error", m_Error, CErr)->SetOptional();
    info->RandomOrder();
}
END_CLASS_INFO

// constructor
CBlastOutput_Base::CBlastOutput_Base(void)
{
    memset(m_set_State,0,sizeof(m_set_State));
}

// destructor
CBlastOutput_Base::~CBlastOutput_Base(void)
{
}



END_blastxml2_SCOPE // namespace ncbi::objects::blastxml2::

END_objects_SCOPE // namespace ncbi::objects::

END_NCBI_SCOPE

